• 0
Sign in to follow this  
Followers 0

How to apply global color.less css?

Question

Posted · Report post

Greetings, I'm looking for a way to include some global LESS css to my child theme for 2.0. The docmentation for this is a little less than ideal ;) but I'm sure there must be a way to do it. I suppose I could override a section that always gets used and add it there, but.. that doesn't sound like the right way to do it. I have tried adding a color.less file to the root of my child theme, and tried mimicking the parent theme by creating a css folder in the root and placing the same file inside with no luck. Using latest framework: 2.1.6

Share this post


Link to post
Share on other sites

3 answers to this question

  • 0

Posted · Report post

@bxbmedia Hey there, The docs for LESS CSS are intended for use with 2.2, and so some of the features and customizations that would be possible in 2.2 are not in 2.1.6. In order to achieve what you're proposing, I believe a filter would have to be used.. I hope this helps, and yeah... The docs are a little plain for it at the moment but that will change before 2.2 is released. :)

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Actually, Henry's correct. Our use of LESS was introduced with version 2.2, and is not applicable to 2.1.6. Unless a filter is added or you update, LESS will not work properly in your child template as you desire. Changing sections or adding stylesheets mimicking later versions will not work. Can you tell me if there's some reason you're not updating to 2.2.1?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

LESS has been a part of the framework since 2.0, it was just limited to sections, although not as robust as 2.2 of course. The docs didn't and still don't have anything there that is specific to 2.2. This is an old thread that I started before 2.2 was released yet - I didn't even know 2.2 was coming at the time and I was looking for a way to use LESS at a theme level, not just sections. I just started using 2.2.1 today on a site I am developing but I'm not sure if I'm going to keep it yet due to an issue I am having with the cached compiled less, but there's another thread for that. Please close this thread, thanks.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0